/*
 * UPIWIN - Micro Pi Windowing Framework Kernel
 * Copyright (C) 2019 Amy Bowersox/Erbosoft Metaverse Design Solutions
 *    
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *    
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *-------------------------------------------------------------------------
 */
#ifndef __BITMAP_H_INCLUDED
#define __BITMAP_H_INCLUDED

#include "wintype.h"
#include "gfxobj.h"

#define BMP_SIG_WORD  0x706D4221    /* !Bmp */

typedef struct tagBITMAP {
  GFXOBJECT hdr;
  INT32 width;
  INT32 height;
  UINT16 bits[0];
} BITMAP, *PBITMAP;

extern PBITMAP BMP_Create(INT32 width, INT32 height, const void *bits);
extern void BMP_Delete(PBITMAP pbmp);

extern PBITMAP _BMP_GetStock(PCSTR name);

#endif /* __BITMAP_H_INCLUDED */