/*
 * UPIWIN - Micro Pi Windowing Framework Kernel
 * Copyright (C) 2019 Amy Bowersox/Erbosoft Metaverse Design Solutions
 *    
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *    
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *-------------------------------------------------------------------------
 */
#ifndef __EP_TYPES_H_INCLUDED
#define __EP_TYPES_H_INCLUDED

#define PY_SSIZE_T_CLEAN
#include <Python.h>
#include "wintype.h"
#include "gfxtype.h"
#include "gfxobj.h"
#include "devctxt.h"
#include "bitmap.h"

typedef struct tagBitmapObject {
  PyObject_HEAD
  PBITMAP pbmp;
} BitmapObject;

typedef struct tagDevCtxtObject {
  PyObject_HEAD
  PDCTXT pdctxt;
  BitmapObject *selected_bitmap;
} DevCtxtObject;

extern PyTypeObject DevCtxtType;
extern PyTypeObject BitmapType;

extern PyObject *Epython_wrap_bitmap(PBITMAP pbmp);

#endif /* __EP_TYPES_H_INCLUDED */
